//
//  ViewController.m
//  夜间模式Demo
//
//  Created by 悟空` on 16/7/13.
//  Copyright © 2016年 悟空`. All rights reserved.
//

#import "ViewController.h"
#import "TwoViewController.h"
#import "SingleDayOrNight.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];


//创建一个开关, 并添加一个动作
    self.mySwitch = [[UISwitch alloc]initWithFrame:CGRectMake(20, 100, 90, 20)];
    [self.view addSubview:self.mySwitch];
    [self.mySwitch addTarget:self action:@selector(clickSingle) forControlEvents:UIControlEventValueChanged];

    UIButton *btn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    btn.frame=CGRectMake(50, 400, 100, 40);
    [btn setTitle:@"跳转到下一界面" forState:UIControlStateNormal];
    [btn addTarget:self action:@selector(click) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btn];


}
-(void)click
{TwoViewController * tt = [[TwoViewController alloc]init];
    [self.navigationController pushViewController:tt animated:YES];
}

-(void)clickSingle{
    
    //创建单利对象
    SingleDayOrNight *single = [SingleDayOrNight shareSingle];
    //判断 开关状态   打开的时候变成黑色   关闭变成白色
    if (self.mySwitch.on) {
        single.style = YES;
        self.view.backgroundColor = [UIColor blackColor];
    }
    else{
        single.style = NO;
        self.view.backgroundColor = [UIColor whiteColor];
    }
}






- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
